Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeReader Class Reference

`#include <vtkVolumeReader.h>`

Inheritance diagram for vtkVolumeReader:

[legend]
Collaboration diagram for vtkVolumeReader:

[legend]
List of all members.

## Detailed Description

read image files

Date:
  2002/06/19 18:36:11

Revision:
  1.30

vtkVolumeReader is a source object that reads image files.

VolumeReader creates structured point datasets. The dimension of the dataset depends upon the number of files read. Reading a single file results in a 2D image, while reading more than one file results in a 3D volume.

File names are created using FilePattern and FilePrefix as follows: sprintf (filename, FilePattern, FilePrefix, number); where number is in the range ImageRange[0] to ImageRange[1]. If ImageRange[1] <= ImageRange[0], then slice number ImageRange[0] is read. Thus to read an image set ImageRange[0] = ImageRange[1] = slice number. The default behavior is to read a single file (i.e., image slice 1).

The DataMask instance variable is used to read data files with imbedded connectivity or segmentation information. For example, some data has the high order bit set to indicate connected surface. The DataMask allows you to select this data. Other important ivars include HeaderSize, which allows you to skip over initial info, and SwapBytes, which turns on/off byte swapping. Consider using vtkImageReader as a replacement.

See also:
  vtkSliceCubes vtkMarchingCubes vtkPNMReader vtkVolume16Reader vtkImageReader

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (71%)
  - Schroeder, Will (13%)
  - Lorensen, Bill (10%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkVolumeReader.h)`
  - .`cxx` (`/IO/vtkVolumeReader.cxx)`

Definition at line 65 of file vtkVolumeReader.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkImageData * | GetImage (int ImageNumber)=0
virtual void | SetFilePrefix (const char *)
virtual char * | GetFilePrefix ()
virtual void | SetFilePattern (const char *)
virtual char * | GetFilePattern ()
virtual void | SetImageRange (int, int)
void | SetImageRange (int[2])
virtual int * | GetImageRange ()
virtual void | GetImageRange (int data[2])
virtual void | SetDataSpacing (float, float, float)
virtual void | SetDataSpacing (float[3])
virtual float * | GetDataSpacing ()
virtual void | GetDataSpacing (float data[3])
virtual void | SetDataOrigin (float, float, float)
virtual void | SetDataOrigin (float[3])
virtual float * | GetDataOrigin ()
virtual void | GetDataOrigin (float data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeReader ()
| ~vtkVolumeReader ()
## Protected Attributes
char * | FilePrefix
char * | FilePattern
int | ImageRange [2]
float | DataSpacing [3]
float | DataOrigin [3]

## Member Typedef Documentation

typedef vtkImageSource vtkVolumeReader::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader. Definition at line 68 of file vtkVolumeReader.h.

## Constructor & Destructor Documentation

vtkVolumeReader::vtkVolumeReader | ( |  | ) | `[protected]`

vtkVolumeReader::~vtkVolumeReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader.

int vtkVolumeReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader.

virtual int vtkVolumeReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader.

vtkVolumeReader* vtkVolumeReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader.

void vtkVolumeReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource. Reimplemented in vtkVolume16Reader.

virtual void vtkVolumeReader::SetFilePrefix | ( | const char * |  | ) | `[virtual]`

| Specify file prefix for the image file(s).

virtual char* vtkVolumeReader::GetFilePrefix | ( |  | ) | `[virtual]`

| Specify file prefix for the image file(s).

virtual void vtkVolumeReader::SetFilePattern | ( | const char * |  | ) | `[virtual]`

| The sprintf format used to build filename from FilePrefix and number.

virtual char* vtkVolumeReader::GetFilePattern | ( |  | ) | `[virtual]`

| The sprintf format used to build filename from FilePrefix and number.

virtual void vtkVolumeReader::SetImageRange | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the range of files to read.

void vtkVolumeReader::SetImageRange | ( | int | [2] | ) |

| Set the range of files to read.

virtual int* vtkVolumeReader::GetImageRange | ( |  | ) | `[virtual]`

| Set the range of files to read.

virtual void vtkVolumeReader::GetImageRange | ( | int | data[2] | ) | `[virtual]`

| Set the range of files to read.

virtual void vtkVolumeReader::SetDataSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the spacing for the data.

virtual void vtkVolumeReader::SetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Specify the spacing for the data.

virtual float* vtkVolumeReader::GetDataSpacing | ( |  | ) | `[virtual]`

| Specify the spacing for the data.

virtual void vtkVolumeReader::GetDataSpacing | ( | float | data[3] | ) | `[virtual]`

| Specify the spacing for the data.

virtual void vtkVolumeReader::SetDataOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the origin for the data.

virtual void vtkVolumeReader::SetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Specify the origin for the data.

virtual float* vtkVolumeReader::GetDataOrigin | ( |  | ) | `[virtual]`

| Specify the origin for the data.

virtual void vtkVolumeReader::GetDataOrigin | ( | float | data[3] | ) | `[virtual]`

| Specify the origin for the data.

virtual vtkImageData* vtkVolumeReader::GetImage | ( | int | ImageNumber | ) | `[pure virtual]`

| Other objects make use of this method. Implemented in vtkVolume16Reader.

## Member Data Documentation

char* vtkVolumeReader::FilePrefix`[protected]`

| Definition at line 108 of file vtkVolumeReader.h.

char* vtkVolumeReader::FilePattern`[protected]`

| Definition at line 109 of file vtkVolumeReader.h.

int vtkVolumeReader::ImageRange[2]`[protected]`

| Definition at line 110 of file vtkVolumeReader.h.

float vtkVolumeReader::DataSpacing[3]`[protected]`

| Definition at line 111 of file vtkVolumeReader.h.

float vtkVolumeReader::DataOrigin[3]`[protected]`

| Definition at line 112 of file vtkVolumeReader.h.

The documentation for this class was generated from the following file:

- IO/vtkVolumeReader.h